Bug 1028959 - Wrong keys are used for several properties on post-install configuration summary (JSSE)
Wrong keys are used for several properties on post-install configuration summ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR3
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 05:54 EST by Petr Kremensky
Modified: 2013-12-15 11:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-11 05:54:32 EST
Description of problem:
 Some of strings for JSSE configuration use wrong key -> only key is displayed.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installer. Go to post-install configuration screen using default values.
 2. Choose to "Add a security-domain". Skip first security-domain configuration screen, carry on directly to JSSE configuration.
 3. Choose to add all elements, enter some values for keystore/truststore password and URL fields, press Next to go to post-install summary screen.

Actual results:
 Only keys are used for some strings:
JSSE
Add JSSE element: true 
securitydomain.jsse.ciphersuites: 
securitydomain.jsse.protocols: 
securitydomain.jsse.clientalias: 
securitydomain.jsse.serveralias: 
securitydomain.jsse.authtoken: false 
Add keystore element: true 
securitydomain.jsse.keystore.provider: 
securitydomain.jsse.keystore.providerargument: 
securitydomain.jsse.keystore.type: JKS 
securitydomain.jsse.keystore.url: asd 
Add keystore-manager element: true 
securitydomain.jsse.keystoremanager.algorithm: 
securitydomain.jsse.keystoremanager.provider: 
Add truststore element: true 
securitydomain.jsse.truststore.provider: 
securitydomain.jsse.truststore.providerargument: 
securitydomain.jsse.truststore.type: JKS 
securitydomain.jsse.truststore.url: asd 
Add truststore-manager element: true 
securitydomain.jsse.truststoremanager.algorithm: 
securitydomain.jsse.truststoremanager.provider:

Expected results:
Use correct properties.
eg. "securitydomain.jsse.ciphersuites" -> "securitydomain.ciphersuites"

Additional info:
 - see CustomLangpack.xml_eng for correct keys.
Comment 1 Thomas Hauser 2013-11-12 10:34:42 EST
Fixed in 94402c93a489ed28b063abb12f0b9c5a945adaa4
Comment 2 Petr Kremensky 2013-11-15 03:04:57 EST
This one is still missing (Third party validation token):
securitydomain.jsse.authtoken: true
Comment 3 Petr Kremensky 2013-11-19 07:09:00 EST
These are wrong in CR2:
postinstallServer
securitydomain.jsse.client-alias: 
securitydomain.jsse.server-alias:
Comment 4 Francisco Canas 2013-11-19 16:56:11 EST
I've corrected the keys for these strings.
Comment 5 Petr Kremensky 2013-11-22 02:43:17 EST
All strings have been fixed. Verified on EAP 6.2.0.CR3 installer.

Note You need to log in before you can comment on or make changes to this bug.